<script setup>
import NavLink from '@/Components/NavLink.vue';
import NavButton from '@/Components/NavButton.vue';
import ConfirmationModal from '@/Components/Modals/Confirmation.vue';

const imageLogoUrl = new URL('@/images/icons/LegalConsultationsLogo.png', import.meta.url)
</script>

<template>
    <div class="flex bg-black">
        <div class="px-6 py-2">
            <Link :href="'/'">
                <img :src="imageLogoUrl" alt="logo" class="w-12 h-auto mx-auto p-1 bg-green-100 rounded" />
            </Link>
        </div>
        <div class="grid grid-cols-6 gap-2 items-center" style="width: 100%;">
            <div class="col-span-1">&nbsp;</div>
            <div class="col-span-3 text-white text-xl">
                Hello, {{ userName }}!
            </div>
            <div class="col-span-2">
                <ul class="flex justify-end text-white text-xl px-4">
                    <li
                        v-for="(tab, index) in registeredUserTabs"
                        :key="index"
                        class="px-4"
                    >
                        <NavLink
                            v-if="!$page.props.auth.user"
                            :href="route(tab.route)"
                            :activated="$page.component === tab.component"
                        >
                            {{ tab.name }}
                        </NavLink>
                    </li>
                    <li v-if="$page.props.auth.user">
                        <NavButton
                            @click="confirmLogOut()"
                            :activated="confirmingLogOut"
                        >
                            Log Out
                        </NavButton>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <ConfirmationModal
        :showModal="confirmingLogOut"
        title="Log Out"
        :content="'Are you sure you want to Log Out?'"
        buttonConfirmationType="primary"
        buttonConfirmationText="Log Out"
        @closeModal="confirmingLogOut = false"
        @confirmAction="logOut()"
    />
</template>

<script>
export default {
    data() {
        return {
            userName: '',
            registeredUserTabs: [
                {
                    name: 'Login',
                    route: 'login',
                    component: 'Auth/Login',
                },
                {
                    name: 'Register',
                    route: 'register',
                    component: 'Auth/Register',
                }
            ],
            confirmingLogOut: false,
        }
    },
    mounted() {
        this.getUserName();
    },
    methods: {
        getUserName() {
            this.userName = 'Guest'

            if (this.$page.props.auth.user) {
                this.userName = this.$page.props.auth.user.name;
            }
        },
        confirmLogOut() {
            this.confirmingLogOut = true;
        },
        logOut() {
            this.confirmingLogOut = false;
            this.$inertia.post(route('logout'));
        }
    }
}
</script>
